## vakzination 22.09

=== debian/changelog ===
vakzination (22.09-0xneon+22.04+jammy+release+build1) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Sat, 18 Feb 2023 00:21:49 +0000

vakzination (22.09-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Nov 2022 17:20:07 +0000

## vakzination 24.02.0+p24.04+vstable+git20251019.0153

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Applications version, managed by release script.
set(RELEASE_SERVICE_VERSION_MAJOR "23")
set(RELEASE_SERVICE_VERSION_MINOR "11")
set(RELEASE_SERVICE_VERSION_MICRO "70")
set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(vakzination VERSION ${RELEASE_SERVICE_VERSION})

set(QT_MIN_VERSION 6.6)
set(KF_MIN_VERSION 6.12.0)

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMPoQmTools)
include(KDEClangFormat)
include(KDEGitCommitHooks)
include(ECMAddTests)
include(ECMAddAndroidApk)

ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX VAKZINATION
    VERSION_HEADER ${CMAKE_CURRENT_BINARY_DIR}/version.h
)

find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Core Gui Qml QuickControls2 Svg)
find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami2 I18n Config Prison CoreAddons)

find_package(KHealthCertificate REQUIRED)
find_package(KPim6Itinerary 6.1.0 REQUIRED)

if(NOT ANDROID)
    find_package(Qt6 ${QT_MIN_VERSION} REQUIRED COMPONENTS Widgets)
endif()

add_definitions(-DQT_NO_KEYWORDS)

ki18n_install(po)

add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(autotests)
endif()

install(FILES org.kde.vakzination.desktop DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.vakzination.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${CLANG_FORMAT_SOURCE_FILES})

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Nicolas Fella <nicolas.fella@gmx.de>
# SPDX-License-Identifier: BSD-3-Clause

find_package(Qt${QT_MAJOR_VERSION}Test REQUIRED)

ecm_add_test(certificatesmodeltest.cpp TEST_NAME certificatesmodeltest LINK_LIBRARIES vakzinationstatic Qt::Test KF6::I18n KPim6::Itinerary)

=== src/CMakeLists.txt ===
# SPDX-License-Identifier: BSD-3-Clause
# SPDX-FileCopyrightText: 2021 Nicolas Fella <nicolas.fella@gmx.de>

add_definitions(-DTRANSLATION_DOMAIN=\"vakzination\")

add_library(vakzinationstatic STATIC)
target_sources(vakzinationstatic PRIVATE certificatesmodel.cpp)
target_link_libraries(vakzinationstatic PUBLIC Qt::Core Qt::Gui KF6::ConfigCore KHealthCertificate PRIVATE KF6::I18n KPim6::Itinerary)

add_executable(vakzination main.cpp resources.qrc)
target_include_directories(vakzination PRIVATE ${CMAKE_BINARY_DIR})
target_link_libraries(vakzination
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
    Qt::QuickControls2
    Qt::Svg
    KF6::I18n
    KF6::ConfigCore
    KF6::CoreAddons
    vakzinationstatic
)

if (ANDROID)
    kirigami_package_breeze_icons(ICONS
        dialog-error-symbolic
        dialog-ok
        edit-paste
        flashlight-off
        flashlight-on
        folder-open
        question
        view-barcode-qr
        view-list-details
    )
    ecm_add_android_apk(vakzination ANDROID_DIR ${CMAKE_SOURCE_DIR}/android)
else()
    target_link_libraries(vakzination Qt::Widgets)
endif()

install(TARGETS vakzination ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

## vakzination 23.01.0

=== debian/changelog ===
vakzination (23.01.0-0xneon+22.04+jammy+release+build3) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 21 Apr 2023 21:00:42 +0000

vakzination (23.01.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 18 Feb 2023 02:47:07 +0000

=== debian/control ===
Source: vakzination
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.78.0~),
               kirigami2-dev (>= 5.78.0~),
               libkf5calendarcore-dev,
               libkf5config-dev (>= 5.78.0~),
               libkf5contacts-dev,
               libkf5i18n-dev (>= 5.78.0~),
               libkf5prison-dev (>= 5.78.0~),
               libkhealthcertificate-dev,
               libkpimitinerary-dev,
               libqt5svg5-dev,
               pkg-kde-tools,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtfeedback5-dev,
               qtquickcontrols2-5-dev
Standards-Version: 4.4.1
Vcs-Git: https://invent.kde.org/neon/mobile/vakzination.git
Vcs-Browser: https://invent.kde.org/neon/mobile/vakzination
Maintainer: Neon CI <neon@kde.org>

Package: vakzination
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Parsing of digital vaccination certificates
 Parsing of digital vaccination, test and recovery certificates.

## vakzination 24.02.0+p24.04+vstable+git20250921.0622

=== debian/changelog ===
vakzination (24.02.0+p24.04+vstable+git20250921.0622-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 21 Sep 2025 06:22:36 +0000

vakzination (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 28 Feb 2024 12:05:19 +0000

## vakzination 24.02.0+p24.04+vstable+git20251001.0040

=== debian/changelog ===
vakzination (24.02.0+p24.04+vstable+git20251001.0040-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 01 Oct 2025 00:40:30 +0000

## vakzination 24.02.0+p24.04+vstable+git20251013.0009

=== debian/changelog ===
vakzination (24.02.0+p24.04+vstable+git20251013.0009-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 00:09:42 +0000

=== debian/control ===
Source: vakzination
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-ki18n-dev,
               kf6-kirigami2-dev,
               kf6-prison-dev,
               libkhealthcertificate-dev,
               libkpimitinerary-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev
Standards-Version: 4.4.1
Vcs-Git: https://invent.kde.org/neon/neon-packaging/vakzination.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/vakzination
Maintainer: Neon CI <neon@kde.org>

Package: vakzination
Architecture: any
Depends: qml-module-org-kde-kirigami2,
         qml-module-qtquick-controls2,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Parsing of digital vaccination certificates
 Parsing of digital vaccination, test and recovery certificates.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/plasma-mobile/([\d.]+)/@PACKAGE@-([\d.]+).tar.xz

## vakzination 24.02.0+p24.04+vstable+git20251019.0153

=== debian/changelog ===
vakzination (24.02.0+p24.04+vstable+git20251019.0153-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 01:53:23 +0000

## vakzination 24.02.0+p24.04+vstable+git20260103.0221

=== debian/changelog ===
vakzination (24.02.0+p24.04+vstable+git20260103.0221-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 02:21:05 +0000

## vakzination 24.02.0+p24.04+vstable+git20260120.0331

=== debian/changelog ===
vakzination (24.02.0+p24.04+vstable+git20260120.0331-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 03:31:35 +0000

## vakzination 24.02.0+p24.04+vstable+git20260131.0219

=== debian/changelog ===
vakzination (24.02.0+p24.04+vstable+git20260131.0219-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:19:16 +0000

## vakzination 24.02.0+p24.04+vstable+git20260204.0112

=== debian/changelog ===
vakzination (24.02.0+p24.04+vstable+git20260204.0112-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 04 Feb 2026 01:12:24 +0000

## vakzination 24.02.0+p24.04+vstable+git20260205.0452

=== debian/changelog ===
vakzination (24.02.0+p24.04+vstable+git20260205.0452-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 04:52:44 +0000

## vakzination 24.02.0+p24.04+vstable+git20260209.0312

=== debian/changelog ===
vakzination (24.02.0+p24.04+vstable+git20260209.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 09 Feb 2026 03:12:47 +0000

## vakzination 24.02.0+p24.04+vstable+git20260218.0218

=== debian/changelog ===
vakzination (24.02.0+p24.04+vstable+git20260218.0218-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 18 Feb 2026 02:18:11 +0000

## vakzination 24.02.0+p24.04+vunstable+git20251125.1310

=== debian/changelog ===
vakzination (24.02.0+p24.04+vunstable+git20251125.1310-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 25 Nov 2025 13:10:31 +0000

## vakzination 24.02.0+p24.04+vunstable+git20251208.0244

=== debian/changelog ===
vakzination (24.02.0+p24.04+vunstable+git20251208.0244-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:44:35 +0000

## vakzination 24.02.0+p24.04+vunstable+git20260123.0345

=== debian/changelog ===
vakzination (24.02.0+p24.04+vunstable+git20260123.0345-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 23 Jan 2026 03:45:38 +0000

## vakzination 24.02.0+p24.04+vunstable+git20260201.0626

=== debian/changelog ===
vakzination (24.02.0+p24.04+vunstable+git20260201.0626-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 01 Feb 2026 06:26:58 +0000
